#quill-container {
    background-color: $white;
}

.form {
    &__separator {
        text-align: center;
        margin: 24px 0;
        border-bottom: 1px solid $black;

        &__text {
            position: relative;
            top: 11px;
            padding: 0 20px;
            background: $white;
        }
    }

    &__section {
        margin-bottom: 20px;
        padding-bottom: 20px;
        border-bottom: 1px solid $grey;

        > h2 {
            margin-bottom: 1rem;
        }
    }

    .vdp-datepicker {
        &.is-valid input {
            @extend .is-valid;
        }

        &.is-invalid input {
            @extend .is-invalid;
        }
    }

    .vtimeselector__input {
        @extend .form-control;

        &.form-control[readonly]:not([disabled]) {
            background-color: $white;
        }
    }

    .StripeElement {
        &--focus {
            border-color: $primary;
            outline: 0;
            box-shadow: 0 0 0 0.2rem rgba($primary, 0.25);
            transition: border-color $one-tick ease-in-out,
                box-shadow $one-tick ease-in-out;
        }

        &--complete {
            @extend .is-valid;
        }

        &--invalid {
            @extend .is-invalid;
        }
    }

    textarea.form-control.is-valid {
        background-position: top calc(0.3em + 0.1875rem) right
            calc(0.3em + 0.1875rem + 1rem);
    }

    .input-and-button .bv-no-focus-ring {
        display: flex;
        flex-wrap: wrap;
        button, .btn {
            margin-left: 1em;
        }
        .btn {
            line-height: 1.8em;
        }
        @include media-breakpoint-down(md) {
            flex-direction: column;
            button {
                margin-left: 0;
                margin-top: 1em;
            }
        }
        :first-child {
            flex-grow: 1;
        }
    }

    .long-description small.form-text.text-muted {
        min-width: 100%;
    }
}
